<div>
    <h2 id="page-heading">
        <span jhiTranslate="gestioncvsApp.banqueProjet.home.title">Banque Projets</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-banque-projet" [routerLink]="['/banque-projet/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="gestioncvsApp.banqueProjet.home.createLabel">
            Create a new Banque Projet
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="banqueProjets?.length === 0">
        <span jhiTranslate="gestioncvsApp.banqueProjet.home.notFound">No banqueProjets found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="banqueProjets && banqueProjets.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="designation"><span jhiTranslate="gestioncvsApp.banqueProjet.designation">Designation</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="organisme"><span jhiTranslate="gestioncvsApp.banqueProjet.organisme">Organisme</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="budget"><span jhiTranslate="gestioncvsApp.banqueProjet.budget">Budget</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="anneeProjet"><span jhiTranslate="gestioncvsApp.banqueProjet.anneeProjet">Annee Projet</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="duree"><span jhiTranslate="gestioncvsApp.banqueProjet.duree">Duree</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="resultat"><span jhiTranslate="gestioncvsApp.banqueProjet.resultat">Resultat</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="mission"><span jhiTranslate="gestioncvsApp.banqueProjet.mission">Mission</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="environTechId"><span jhiTranslate="gestioncvsApp.banqueProjet.environTech">Environ Tech</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let banqueProjet of banqueProjets ;trackBy: trackId">
                    <td><a [routerLink]="['/banque-projet', banqueProjet.id, 'view']">{{ banqueProjet.id }}</a></td>
                    <td>{{ banqueProjet.designation }}</td>
                    <td>{{ banqueProjet.organisme }}</td>
                    <td>{{ banqueProjet.budget }}</td>
                    <td>{{ banqueProjet.anneeProjet | date:'medium' }}</td>
                    <td>{{ banqueProjet.duree }}</td>
                    <td>{{ banqueProjet.resultat }}</td>
                    <td>{{ banqueProjet.mission }}</td>
                    <td>
                        <div *ngIf="banqueProjet.environTechId">
                            <a [routerLink]="['/environ-tech', banqueProjet.environTechId , 'view']" >{{ banqueProjet.environTechId }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/banque-projet', banqueProjet.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/banque-projet', banqueProjet.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(banqueProjet)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="banqueProjets && banqueProjets.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
